Skip to main content
GET
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
pages
Admin List Pages
curl --request GET \
  --url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/pages/ \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "created_at": "2023-11-07T05:31:56Z",
        "deleted_at": "2023-11-07T05:31:56Z",
        "draft_version": 123,
        "hub_id": "<string>",
        "is_homepage": true,
        "meta": {},
        "position": 123,
        "privacy": "<string>",
        "settings": {},
        "slug": "<string>",
        "title": "<string>",
        "type": "<string>",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "id": "<string>",
      "type": "pages"
    }
  ],
  "links": {},
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required

Response

Successful Response

List JSON:API response for admin page reads (includes draft_version per item).

data
AdminPageResource · object[]
required
meta
Meta · object
required